Viewer Guide

The Data Dynamics Reports Viewer is a stand-alone application which allows you to view RDL and RDLX format reports, print them, and export them to other formats.

In the Viewer Guide

Report Viewer Features
Find out about the features included in the report viewer application.
Opening Reports
Opening reports is simple and intuitive.
Keyboard Controls
Learn which operations you can perform using the keyboard.
Page Setup
Learn of the options available for changing the appearance of a report in the viewer.
Printing
Find out how to print reports directly from the viewer, or to export them to various printable formats.
Exporting Reports
Here you will find information about the various formats in which reports may be rendered.
Samples
Here is a list of included sample reports. You can open these samples in the viewer application to see many of the features of Data Dynamics Reports in action.
Getting Help
Find out about product support and registration requirements.
Data Dynamics Reports License Agreement
Find the details of the license agreement and limited warranty.

Copyright © 2006-2007 Data Dynamics, Ltd. All Rights Reserved.


Viewer Features

The Data Dynamics Report Viewer offers many features for developers and end users alike. The Report Viewer application opens RDL and RDLX files and allows users to print or export reports.

Note: More features not documented here will be added prior to release.

Navigational and Interactive Features:

  • Parameters
  • Document map (table of contents)
  • Bookmark links
  • Hyperlinks
  • Drillthrough links
  • Drill down reports
  • Search with metadata query support
  • First, previous, next, and last page
  • Page number and page N of M
  • Cancel and Refresh
  • Back to parent report
  • Scroll bar jump buttons

Exporting Features:

  • Rendering to HTML (XHTML)
  • Rendering to PDF
  • Rendering to Image (BMP, EMF, GIF, JPEG, TIFF, and PNG)
  • Transforming to XML
  • Rendering to Word

Extra Features:

  • Pan mode
  • Snapshot mode
  • Selection mode
  • Preview modes
    • Print preview
    • Layout preview
  • Copy
  • Zoom
See Also

Viewer Guide


Parameters in the Viewer

Parameters are used in some reports to narrow down the selection of data displayed. When you open such a report in the Data Dynamics Reports Viewer, you are presented with a user interface like that pictured below. You can select a value for each parameter to display only the data in which you are interested. You may also select NULL to display all available data. Once you have made your selections, click the View Report button to see the report.

Cascading Parameters

For some reports, cascading parameters are used. In this type of report, initially only the first parameter offers a selection of values. Once you select a value for this parameter, the next parameter offers a selection of values which have been narrowed down by the first value, and so on. Once you have made your selections, click the View Report button to see the report.

Multi-Value Parameters

For other reports, multi-value parameters allow you to select more than one item from a list of values to create a report containing only the information you want to see. A value of All is selected by default so that if you click the View Report button without making any selections, all of the values are included in the report.

Once you've selected parameters, the report is displayed and the sidebar pane is hidden. To select different parameters, click the Show or Hide Sidebar Pane icon.

See Also

Viewer Guide


Document Map Sidebar

If a report includes a Document Map, or Table of Contents, you can view it in the sidebar pane and click an item in the document map to navigate to it in the report.

To view the sidebar pane, click the Show or Hide sidebar pane icon, or from the View menu, select Sidebar Pane.

At the bottom of the pane, click the Document map icon to display the document map. If there is no document map associated with the report, the icon does not appear at the bottom of the pane.

Click an item in the document map to navigate to the corresponding section of the report in the viewer.

See Also

Parameters in the Viewer | Viewer Guide | Keyboard Controls


Bookmark Links, Hyperlinks, and Drillthrough Links

Some reports contain links that you can identify by the way that the cursor changes when you hover your mouse over them. When your mouse is over a clickable link of any kind, the cursor changes into a hand with a pointing finger.

Drill down links are obvious because of the plus sign that shows that you can expand a section of the report, but the other types may not be so obvious.

Bookmark Links

When you click a bookmark link, the viewer navigates to a bookmarked item within the current report.

Hyperlinks

When you click a hyperlink, your machine's default internet browser opens to display a Web page.

Drillthrough Links

When you click a drillthrough link, the viewer navigates to another report, usually one with more details about the item you clicked. If you want to return to the main report after clicking a drillthrough link, click the Back to Parent Report button in the toolbar.


Drill Down

When you open a report with Drill Down features, part of the data is hidden so that you only see high-level data until you request more detail. A plus-sign image appears next to each toggle item in the report. Clicking on the toggle image, or plus sign, expands hidden content into view and the toggle image changes to a minus sign. Clicking on the minus-sign image hides the content and returns the report to its previous state.

If you export a drill-down report to HTML, PDF, or an image format, any content which is hidden at the time of export remains hidden in the exported file. If you want all of the content to appear in the exported file, you must first expand each area of hidden data.

If you export a drill-down report to XML, all hidden data is exported regardless of whether it is hidden at the time of export.


Search

To open the Search sidebar pane, click the Find icon.

Basic Search

By default, the basic search is displayed. Enter search text and select additional criteria as needed, and hit the Enter key or click the Search button to display results.

The results are displayed in the Find results as well as in a navigation bar between the report and the vertical scroll bar. Each item containing the search string is represented as a green hairline so that you can see where the hit is in relation to the entire report. Hover the cursor over a green hairline to see the full text of the field returned by the search. Click the hairline to navigate to that point in the report.

Search results within the report are highlighted in blue.

Advanced Search

Click Use Advanced Search Options to select whether to match the exact word or phrase, or to match any of the words in your search text.

You may also narrow your search by limiting it to certain areas of the report, such as a name or address field.

See Also

Viewer Guide


Navigation

First, Previous, Next, and Last Page

When you have navigated beyond the first page of a report, the First Page and Previous Page buttons are enabled. The First Page button takes you to the beginning of the report, and the Previous Page button navigates to the page number prior to the current page.

When you are not on the last page of a report, the Next Page and Last Page buttons are enabled. The Last Page button takes you to the end of the report, and the Next Page button navigates to the page number following the current page.

Page Number and Page N of M

You can see the current page (N) and the total pages (M) of a report in two places: between the navigation buttons above, and at the bottom of the viewer on the left.

To go directly to a page number, replace the numbers in the box between the navigation buttons with the page number you want and hit the Enter key.

Cancel and Refresh

The Cancel button is enabled when it appears in red.

When a long report is loading, click the Cancel button to stop it from processing.

You can reload a report with fresh data by clicking the Refresh button, or by hitting the F5 button on your keyboard.

Back to Parent Report

When you have followed a drill-through link from one report to another, return to the main report by clicking the Back to parent report button.

Scroll Bar Jump Buttons

At the bottom of the viewer's horizontal scroll bar, you will find jump buttons. By default, clicking the up and down arrow buttons navigates to the previous and next page respectively.

To change this behavior, click the center button and select from Pages, Find Results, or Data Regions.

If you select Find Results, the jump buttons navigate between pages containing the text from a search.

If you select Data Regions, the jump buttons navigate between different data regions within the report. (This feature only takes effect if multiple data regions exist in the report.) For example, if you have two charts within the report for two consecutive years, you can easily jump between the two charts to compare the data using the Data Regions setting of the jump buttons.


Rendering to HTML

HTML is one of the formats to which you can export Data Dynamics Reports from the Viewer.

Options

Data Dynamics Reports offers several options to control how reports render to HTML.

Fragment
Set the Fragment property to True to return a stream containing only the content found inside the <body> tags when you want to embed the stream in a Web page. The default value is False.
MhtOutput
Set the MhtOutput property to True to save your report as a Web archive file. This saves the report in Multipurpose Internet Mail Extension HTML format, embeds images in the file instead of saving them as separate files, and remaps any relative links. The default value is False.
StyleStream
By default, the StyleStream property is set to True. This creates an external .css file containing style information from your report items' style properties. If you prefer to have style information embedded in the HTML file, set the StyleStream property to False.
JavaScript
JavaScript is used to provide interactive features in reports rendered to HTML. If you set this property to False, none of the interactive features mentioned below are supported. The default value is True.
LinkTarget
Specify a link target to control whether drill down reports and other links open in a new window or reuse the current window. By default, no value is set and links open in the same window. A value of _blank opens the link in a new window, or you can specify a window using window_name.
Mode
The default value is Galley mode which renders the report in one HTML stream with one page header at the beginning and one page footer at the end. Select Paginated mode to render each page as a section inside the HTML document, with page headers and footers and height and width dictated by the layout of the report.

Limitations

HTML is a very good format for delivering content because virtually all computer users have an HTML browser. It does, however, have its limitations.

Printing. For printable documents, we recommend the PDF rendering extension.

Vertical-align style. This style is always Top for text boxes in HTML reports. If Bottom or Middle vertical alignment is an essential style element in your report, we recommend a format other than HTML.

Interactivity

Reports rendered in HTML support full interactivity in connected mode, when the layout and report are accessible and can be run again (for example in the Web viewer or a WinForm application).

Reports rendered in HTML support limited interactivity in disconnected mode (for example in a single HTML file e-mailed to a customer).

Hyperlinks
Both connected and disconnected modes support valid hyperlinks.
BookmarkLinks
Both connected and disconnected modes support valid bookmark links.
Drill Through
Both modes support drill through to separate reports. In disconnected mode, ".html" appends to the report name, so the drill through reports must also be available in HTML format.
Visibility Toggle
Only connected mode supports visibility toggling or drill-down reporting.
Table of Contents
Both modes support an interactive table of contents so long as JavaScript is enabled.
See Also

Rendering to PDF | Rendering to Images


Rendering to PDF

Portable Document Format (PDF) is one of the formats to which you can export Data Dynamics Reports from the Viewer, and is recommended for printing.

Options

Data Dynamics Reports offers many options to control how reports render to PDF.

Application

Set the value that appears for "Application" in the Document Properties dialog of the Acrobat viewer application. By default, the text is set to "Data Dynamics Reports."
Author
Enter the name of the author to appear in the Document Properties dialog of the Acrobat viewer application.
CenterWindow
Set to True to position the document's window in the center of the screen.
Columns
Set the number of columns to use in the report. This value overrides the report's original settings. The default value of -1 uses the report's original settings.
ColumnSpacing
Enter a value in inches (i.e. 0.5in) to set the amount of space between columns. This value overrides the report's original settings.
DisplayMode
Specifies how the document is displayed when opened. By default nothing is specified, but you can select from Outlines, Thumbs, or FullScreen. FullScreen mode displays the document with no menu bar, window controls, or any other window visible.
DisplayTitle
Set to True to display text you enter in the Title property in the window’s title bar. The default value of False displays the name of the PDF file.
DpiX
Adjust the horizontal resolution of the rendered PDF file. The default value is 300.
DpiY
Adjust the vertical resolution of the rendered PDF file. The default value is 300.
Encrypt
Set to True to encrypt the document. This allows you to set the Permissions property to restrict what users without the OwnerPassword can do with the document.
Note: If Encrypt is set to False, permissions and passwords have no effect.
EndPage
The default value of 0 in this property renders all of the report pages. Otherwise, set this value to the number of the last page to render. Please note that if the StartPage property is set to 0, all of the pages of the report render. In order to use the EndPage property, you must set the StartPage property to a valid non-zero number.
FitWindow
Set to True to resize the window to fit the size of the first displayed page when the PDF document is opened.
HideMenubar
Set to True to hide Acrobat Reader’s menu bar when the document is active.
HideToolbar
Set to True to hide Acrobat Reader’s toolbars when the document is active.
HideWindowUI
Set to True to hide user interface elements in Acrobat Reader (such as scroll bars and navigation controls) leaving only the document’s contents displayed.
Keywords
Enter keywords associated with the document contents for use by search engines.
MarginBottom
Enter a value in inches (i.e. 0.5in) for the amount of space between the bottom of the report and the bottom edge of the page. This value overrides the report's original settings.
MarginLeft
Enter a value in inches (i.e. 0.5in) for the amount of space between the left edge of the report and the left edge of the page. This value overrides the report's original settings.
MarginRight
Enter a value in inches (i.e. 0.5in) for the amount of space between the right edge of the report and the right edge of the page. This value overrides the report's original settings.
MarginTop
Enter a value in inches (i.e. 0.5in) for the amount of space between the top edge of the report and the top edge of the page. This value overrides the report's original settings.
OwnerPassword
Enter text that can be used in the reader to permit full access to the document regardless of the specified user permissions.
PageHeight
Enter a value in inches (i.e. 11in) to set the height of the report's pages. This value overrides the report's original settings.
PageWidth
Enter a value in inches (i.e. 8.5in) to set the width of the report's pages. This value overrides the report's original settings.
Permissions
Select user permissions for the document. Permissions can be combined using a comma between values. By default, all permissions are granted. In order to use AllowFillin, AllowAccessibleReaders, and AllowAssembly permissions, you must set the Use128Bit property to True.
PrintLayoutMode
Select how to lay out the pages of the report in the PDF document.
  • OneLogicalPageOnSinglePhysicalPage
  • TwoLogicalPagesOnSinglePhysicalPage
  • FourLogicalPagesOnSinglePhysicalPage
  • EightLogicalPagesOnSinglePhysicalPage
  • BookletMode (lays the pages out for booklet printing)
SizeToFit
Determines whether PDF pages are fit to the selected paper size.
StartPage
The default value of 0 in this property renders all of the report pages. Otherwise, set this value to the number of the first page to render.
Subject
The subject of the document.
Title
Enter the document’s title. Set the DisplayTitle property to True to show this title in the Acrobat Reader title bar.
Use128Bit
A setting of True uses 128 bit encryption with full permissions capability. Set to False to use 40 bit encryption with limited permissions. AllowFillin, AllowAccessibleReaders, and AllowAssembly permissions are not applied unless this property is set to True.
UserPassword
Enter text that can be entered in the Acrobat Reader to decrypt the document. If this value is empty, the user is not prompted for a password but is still restricted by the specified permissions.
WatermarkAngle
Specify the degree of angle for the watermark text on the PDF document. Valid values range from 0 to 359, where 0 is horizontal, left to right.
WatermarkColor
Select a color for the watermark text on the PDF document. The default value for the watermark color is gray, but you can select any Web, System, or Custom color.
WatermarkFont
Set the font to use for the watermark to any valid System.Drawing.Font.
WatermarkTitle
Enter text (i.e. CONFIDENTIAL) to use as the watermark on the PDF document.

Limitations

PDF is the best format for printing. It does, however, have its limitations.

Interactivity. If drill down and visibility toggling are essential to your report, we recommend the HTML rendering extension.

Interactivity

Hyperlinks

Both in-document and external hyperlinks are supported.
BookmarkLinks
Valid bookmark links are supported.
Drill-Down
Drill-down interactivity is lost. Only what is visible in the report at the time of export is rendered in the PDF file.
Visibility Toggle
Visibility toggling is not supported in PDF documents.
Table of Contents
Document maps (or table of contents) become bookmarks in PDF documents.
See Also

Rendering to HTML | Rendering to Images | PDF Permissions


PDF Permissions

In order to control permissions to the documents you export to PDF format, you must set the Encrypt property to True. If the Encrypt property is left on its default value of False, permissions and passwords have no effect.

The values you to set in the Permissions property allow users without the OwnerPassword to perform the specified action on the document, and no other action. To combine permission values, enter all of the values you wish to permit separated by commas.

Permission Value | Description
None | Grants users read-only permission on the document unless they decrypt it using the OwnerPassword.
AllowPrint | Grants users permission to print the document.
AllowModifyContents | Grants users permission to edit the document.
AllowCopy | Grants users permission to copy from the document.
AllowModifyAnnotations | Grants users permission to add or edit annotations on the document.
AllowFillIn (requires 128 bit encryption*) | Grants users permission to fill in fields in interactive forms.
AllowAccessibleReaders (requires 128 bit encryption*) | Grants users permission to expose the text in the document to screen readers or other accessible devices.
AllowAssembly (requires 128 bit encryption*) | Grants users permission to insert, rotate, and delete pages and to create bookmarks and thumbnails.
Default | Grants users permission to perform all of the above actions on the document.

*Keep the default True value of the Use128Bit property to use 128 bit encryption with full permissions capability. Setting the value to False uses 40 bit encryption which does not support AllowFillin, AllowAccessibleReaders, or AllowAssembly.

Note: 128 bit encryption is only supported in Adobe Acrobat Reader 5.0 or higher. Older versions use 40 bit encryption.

Supply a value in the OwnerPassword property to allow anyone who enters the password in the reader to perform all of the above actions on the document regardless of the specified user permissions. If this value is left empty, no one will be able to perform any actions except those set in the Permissions property.

Supply a value in the UserPassword property to prompt users for a password upon opening the document. If this value is left empty the user will not be prompted for a password, but will be restricted to the actions set in the Permissions property.

See Also

Rendering to PDF


Rendering to Images

You can render your reports into any of six different image formats when you select Image as the export type: BMP, EMF, GIF, JPEG, TIFF, and PNG. The format is set using the ImageType property.

Options

Each ImageType supports a set of options to control the output. Here are the ones common to all image types, as well as links to topics on type-specific options.

  • BMP Options
  • EMF Options
  • GIF Options
  • JPEG Options
  • TIFF Options
  • PNG Options
DpiX
Adjust the horizontal resolution of rendered images. The default value is 96.
DpiY
Adjust the vertical resolution of rendered images. The default value is 96.
Tip: A dot matrix printer typically prints in the 60 to 90 DPI range, a laser printer may be in the range of 600 to 1200 DPI, an inkjet printer may be in the range of 1200 to 9600 DPI, and 72 DPI is sufficient for web use.
EndPage
The default value of 0 in this property renders all of the report pages. Otherwise, set this value to the number of the last page to render. Please note that if the StartPage property is set to 0, all of the pages of the report render. In order to use the EndPage property, you must set the StartPage property to a valid non-zero number.
ImageType
Select the type of image to which you want to render the report. Supported types are BMP, EMF, GIF, JPEG, TIFF, and PNG.
MarginBottom
Set the value in inches to use for the bottom margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginLeft
Set the value in inches to use for the left margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginRight
Set the value in inches to use for the right margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginTop
Set the value in inches to use for the top margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
PageHeight
Set the value in inches to use for the height of the image. The format is an integer or decimal with "in" as the suffix, for example "11in" for 11 inches. The value set in this property overrides the report's settings.
PageWidth
Set the value in inches to use for the width of the image. The format is an integer or decimal with "in" as the suffix, for example "8in" for 8 inches. The value set in this property overrides the report's settings.
Pagination
By default, each page of a report is rendered as a separate image. Set this value to False to render the entire report as a single image.
PrintLayoutMode
Select how to lay out the pages of the report in the image.
  • OneLogicalPageOnSinglePhysicalPage
  • TwoLogicalPagesOnSinglePhysicalPage
  • FourLogicalPagesOnSinglePhysicalPage
  • EightLogicalPagesOnSinglePhysicalPage
  • BookletMode (lays the pages out for booklet printing)
SizeToFit
By default, rendered report pages are not resized to fit within the selected image size. Set this value to True to resize the report pages.
StartPage
The default value of zero in this and the EndPage properties render all of the report pages to images. Otherwise, set this value to the number of the first page to render.
WatermarkAngle
Specify the degree of angle for the watermark text on the image. Valid values range from 0 to 359, where 0 is horizontal, left to right.
WatermarkColor
Select a color for the watermark text on the image. The default value for the watermark color is gray, but you can select any Web, System, or Custom color.
WatermarkFont
Set the font to use for the watermark to any valid System.Drawing.Font.
WatermarkTitle
Enter text (i.e. CONFIDENTIAL) to use as the watermark on the image.

Interactivity

Reports rendered as images do not support any of the interactive features of Data Dynamics Reports. Any data hidden at the time of export is hidden in the image. To display all data in a drill-down report, expand all toggle items prior to exporting.

See Also

Rendering to HTML | Rendering to PDF

Tutorials: Exporting Reports


BMP Options

The BMP (bitmap) ImageType property in the image export dialog offers a choice of ColorDepth in addition to all of the common options.

ColorDepth
Select the number of bits per pixel for PNG and BMP rendered images. The default value is 8 bits per pixel, but you can choose 1, 4, 16, 24, 32, or 64 bits.
DpiX
Adjust the horizontal resolution of rendered images. The default value is 96.
DpiY
Adjust the vertical resolution of rendered images. The default value is 96.
Tip: A dot matrix printer typically prints in the 60 to 90 DPI range, a laser printer may be in the range of 600 to 1200 DPI, an inkjet printer may be in the range of 1200 to 9600 DPI, and 72 to 150 DPI is sufficient for web use. The higher DPI ranges take longer to print, so consider whether a high value is necessary for the image.
EndPage
The default value of zero in this and the StartPage properties render all of the report pages to images. Otherwise, set this value to the number of the last page to render.
ImageType
Select the type of image to which you want to render the report. Supported types are BMP, EMF, GIF, JPEG, TIFF, and PNG.
MarginBottom
Set the value in inches to use for the bottom margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginLeft
Set the value in inches to use for the left margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginRight
Set the value in inches to use for the right margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginTop
Set the value in inches to use for the top margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
PageHeight
Set the value in inches to use for the height of the image. The format is an integer or decimal with "in" as the suffix, for example "11in" for 11 inches. The value set in this property overrides the report's settings.
PageWidth
Set the value in inches to use for the width of the image. The format is an integer or decimal with "in" as the suffix, for example "8in" for 8 inches. The value set in this property overrides the report's settings.
Pagination
By default, each page of a report is rendered as a separate image. Set this value to False to render the entire report as a single image.
PrintLayoutMode
Select how to lay out the pages of the report in the image.
  • OneLogicalPageOnSinglePhysicalPage
  • TwoLogicalPagesOnSinglePhysicalPage
  • FourLogicalPagesOnSinglePhysicalPage
  • EightLogicalPagesOnSinglePhysicalPage
  • BookletMode (lays the pages out for booklet printing)
SizeToFit
By default, rendered report pages are not resized to fit within the selected PageHeight and PageWidth. Set this value to True to resize the report pages.
StartPage
The default value of zero in this and the EndPage properties render all of the report pages to images. Otherwise, set this value to the number of the first page to render.
WatermarkAngle
Specify the degree of angle for the watermark text on the image. Valid values range from 0 to 359, where 0 is horizontal, left to right.
WatermarkColor
Select a color for the watermark text on the image. The default value for the watermark color is gray, but you can select any Web, System, or Custom color.
WatermarkFont
Set the font to use for the watermark to any valid System.Drawing.Font.
WatermarkTitle
Enter text (i.e. CONFIDENTIAL) to use as the watermark on the image.
See Also

Reference: Rendering to Images


EMF Options

The EMF (Enhanced Metafile) ImageType property in the image export dialog offers all of the common options.

DpiX
Adjust the horizontal resolution of rendered images. The default value is 96.
DpiY
Adjust the vertical resolution of rendered images. The default value is 96.
Tip: A dot matrix printer typically prints in the 60 to 90 DPI range, a laser printer may be in the range of 600 to 1200 DPI, an inkjet printer may be in the range of 1200 to 9600 DPI, and 72 DPI is sufficient for web use.
EndPage
The default value of zero in this and the StartPage properties render all of the report pages to images. Otherwise, set this value to the number of the last page to render.
ImageType
Select the type of image to which you want to render the report. Supported types are BMP, EMF, GIF, JPEG, TIFF, and PNG.
MarginBottom
Set the value in inches to use for the bottom margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginLeft
Set the value in inches to use for the left margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginRight
Set the value in inches to use for the right margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginTop
Set the value in inches to use for the top margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
PageHeight
Set the value in inches to use for the height of the image. The format is an integer or decimal with "in" as the suffix, for example "11in" for 11 inches. The value set in this property overrides the report's settings.
PageWidth
Set the value in inches to use for the width of the image. The format is an integer or decimal with "in" as the suffix, for example "8in" for 8 inches. The value set in this property overrides the report's settings.
Pagination
By default, each page of a report is rendered as a separate image. Set this value to False to render the entire report as a single image.
PrintLayoutMode
Select how to lay out the pages of the report in the image.
  • OneLogicalPageOnSinglePhysicalPage
  • TwoLogicalPagesOnSinglePhysicalPage
  • FourLogicalPagesOnSinglePhysicalPage
  • EightLogicalPagesOnSinglePhysicalPage
  • BookletMode (lays the pages out for booklet printing)
SizeToFit
By default, rendered report pages are not resized to fit within the selected image size. Set this value to True to resize the report pages.
StartPage
The default value of zero in this and the EndPage properties render all of the report pages to images. Otherwise, set this value to the number of the first page to render.
See Also

Reference: Rendering to Images


GIF Options

The GIF (Graphics Interchange Format) ImageType property in the image export dialog offers all of the common options.

DpiX
Adjust the horizontal resolution of rendered images. The default value is 96.
DpiY
Adjust the vertical resolution of rendered images. The default value is 96.
Tip: A dot matrix printer typically prints in the 60 to 90 DPI range, a laser printer may be in the range of 600 to 1200 DPI, an inkjet printer may be in the range of 1200 to 9600 DPI, and 72 DPI is sufficient for web use.
EndPage
The default value of zero in this and the StartPage properties render all of the report pages to images. Otherwise, set this value to the number of the last page to render.
ImageType
Select the type of image to which you want to render the report. Supported types are BMP, EMF, GIF, JPEG, TIFF, and PNG.
MarginBottom
Set the value in inches to use for the bottom margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginLeft
Set the value in inches to use for the left margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginRight
Set the value in inches to use for the right margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginTop
Set the value in inches to use for the top margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
PageHeight
Set the value in inches to use for the height of the image. The format is an integer or decimal with "in" as the suffix, for example "11in" for 11 inches. The value set in this property overrides the report's settings.
PageWidth
Set the value in inches to use for the width of the image. The format is an integer or decimal with "in" as the suffix, for example "8in" for 8 inches. The value set in this property overrides the report's settings.
Pagination
By default, each page of a report is rendered as a separate image. Set this value to False to render the entire report as a single image.
PrintLayoutMode
Select how to lay out the pages of the report in the image.
  • OneLogicalPageOnSinglePhysicalPage
  • TwoLogicalPagesOnSinglePhysicalPage
  • FourLogicalPagesOnSinglePhysicalPage
  • EightLogicalPagesOnSinglePhysicalPage
  • BookletMode (lays the pages out for booklet printing)
SizeToFit
By default, rendered report pages are not resized to fit within the selected image size. Set this value to True to resize the report pages.
StartPage
The default value of zero in this and the EndPage properties render all of the report pages to images. Otherwise, set this value to the number of the first page to render.
See Also

Reference: Rendering to Images


JPEG Options

The JPEG (Joint Photographic Experts Group) ImageType property in the image export dialog offers a choice of Quality in addition to all of the common options.

DpiX
Adjust the horizontal resolution of rendered images. The default value is 96.
DpiY
Adjust the vertical resolution of rendered images. The default value is 96.
Tip: A dot matrix printer typically prints in the 60 to 90 DPI range, a laser printer may be in the range of 600 to 1200 DPI, an inkjet printer may be in the range of 1200 to 9600 DPI, and 72 DPI is sufficient for web use.
EndPage
The default value of zero in this and the StartPage properties render all of the report pages to images. Otherwise, set this value to the number of the last page to render.
ImageType
Select the type of image to which you want to render the report. Supported types are BMP, EMF, GIF, JPEG, TIFF, and PNG.
MarginBottom
Set the value in inches to use for the bottom margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginLeft
Set the value in inches to use for the left margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginRight
Set the value in inches to use for the right margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginTop
Set the value in inches to use for the top margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
PageHeight
Set the value in inches to use for the height of the image. The format is an integer or decimal with "in" as the suffix, for example "11in" for 11 inches. The value set in this property overrides the report's settings.
PageWidth
Set the value in inches to use for the width of the image. The format is an integer or decimal with "in" as the suffix, for example "8in" for 8 inches. The value set in this property overrides the report's settings.
Pagination
By default, each page of a report is rendered as a separate image. Set this value to False to render the entire report as a single image.
PrintLayoutMode
Select how to lay out the pages of the report in the image.
  • OneLogicalPageOnSinglePhysicalPage
  • TwoLogicalPagesOnSinglePhysicalPage
  • FourLogicalPagesOnSinglePhysicalPage
  • EightLogicalPagesOnSinglePhysicalPage
  • BookletMode (lays the pages out for booklet printing)
Quality
Specify the quality to use for a report rendered as a JPEG image. The default value is 50, and values range from 1 to 100 percent.
SizeToFit
By default, rendered report pages are not resized to fit within the selected image size. Set this value to True to resize the report pages.
StartPage
The default value of zero in this and the EndPage properties render all of the report pages to images. Otherwise, set this value to the number of the first page to render.
See Also

Reference: Rendering to Images


TIFF Options

The TIFF (Tagged Image File Format) ImageType property in the image export dialog offers a choice of Compression and Dither in addition to all of the common options.

Compression
Select the type of compression to use for reports rendered as TIFF images. The default value is Ccitt3, or you can choose None, Rle, or Lzw.
Dither
Specify whether a report rendered as a TIFF image is dithered when saving to a black and white output format such as Ccitt3 or Rle. If the Compression property is set to Lzw or None (indicating color output) this property has no effect.
DpiX
Adjust the horizontal resolution of rendered images. The default value is 96.
DpiY
Adjust the vertical resolution of rendered images. The default value is 96.
Tip: A dot matrix printer typically prints in the 60 to 90 DPI range, a laser printer may be in the range of 600 to 1200 DPI, an inkjet printer may be in the range of 1200 to 9600 DPI, and 72 DPI is sufficient for web use.
EndPage
The default value of zero in this and the StartPage properties render all of the report pages to images. Otherwise, set this value to the number of the last page to render.
ImageType
Select the type of image to which you want to render the report. Supported types are BMP, EMF, GIF, JPEG, TIFF, and PNG.
MarginBottom
Set the value in inches to use for the bottom margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginLeft
Set the value in inches to use for the left margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginRight
Set the value in inches to use for the right margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginTop
Set the value in inches to use for the top margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
PageHeight
Set the value in inches to use for the height of the image. The format is an integer or decimal with "in" as the suffix, for example "11in" for 11 inches. The value set in this property overrides the report's settings.
PageWidth
Set the value in inches to use for the width of the image. The format is an integer or decimal with "in" as the suffix, for example "8in" for 8 inches. The value set in this property overrides the report's settings.
Pagination
By default, each page of a report is rendered as a separate image. Set this value to False to render the entire report as a single image.
PrintLayoutMode
Select how to lay out the pages of the report in the image.
  • OneLogicalPageOnSinglePhysicalPage (default)
  • TwoLogicalPagesOnSinglePhysicalPage
  • FourLogicalPagesOnSinglePhysicalPage
  • EightLogicalPagesOnSinglePhysicalPage
  • BookletMode (lays the pages out in a single file for booklet printing)
SizeToFit
By default, rendered report pages are not resized to fit within the selected image size. Set this value to True to resize the report pages.
StartPage
The default value of zero in this and the EndPage properties render all of the report pages to images. Otherwise, set this value to the number of the first page to render.
See Also

Reference: Rendering to Images


PNG Options

The PNG (Portable Network Graphics) ImageType property in the image export dialog offers a choice of ColorDepth in addition to all of the common options.

ColorDepth
Specify the number of bits per pixel for PNG and BMP rendered images. The default value is 8 bits per pixel, but you can choose 1, 4, 16, 24, 32, or 64 bits.
DpiX
Adjust the horizontal resolution of rendered images. The default value is 96.
DpiY
Adjust the vertical resolution of rendered images. The default value is 96.
Tip: A dot matrix printer typically prints in the 60 to 90 DPI range, a laser printer may be in the range of 600 to 1200 DPI, an inkjet printer may be in the range of 1200 to 9600 DPI, and 72 DPI is sufficient for web use.
EndPage
The default value of zero in this and the StartPage properties render all of the report pages to images. Otherwise, set this value to the number of the last page to render.
ImageType
Select the type of image to which you want to render the report. Supported types are BMP, EMF, GIF, JPEG, TIFF, and PNG.
MarginBottom
Set the value in inches to use for the bottom margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginLeft
Set the value in inches to use for the left margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginRight
Set the value in inches to use for the right margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
MarginTop
Set the value in inches to use for the top margin of the image. The format is an integer or decimal with "in" as the suffix, for example "1in" for 1 inch. By default, no margins are used. The value set in this property overrides the report's settings.
PageHeight
Set the value in inches to use for the height of the image. The format is an integer or decimal with "in" as the suffix, for example "11in" for 11 inches. The value set in this property overrides the report's settings.
PageWidth
Set the value in inches to use for the width of the image. The format is an integer or decimal with "in" as the suffix, for example "8in" for 8 inches. The value set in this property overrides the report's settings.
Pagination
By default, each page of a report is rendered as a separate image. Set this value to False to render the entire report as a single image.
PrintLayoutMode
Select how to lay out the pages of the report in the image.
  • OneLogicalPageOnSinglePhysicalPage
  • TwoLogicalPagesOnSinglePhysicalPage
  • FourLogicalPagesOnSinglePhysicalPage
  • EightLogicalPagesOnSinglePhysicalPage
  • BookletMode (lays the pages out for booklet printing)
SizeToFit
By default, rendered report pages are not resized to fit within the selected image size. Set this value to True to resize the report pages.
StartPage
The default value of zero in this and the EndPage properties render all of the report pages to images. Otherwise, set this value to the number of the first page to render.
See Also

Reference: Rendering to Images


Rendering to XML

XML is one of the formats to which you can export Data Dynamics Reports from the Viewer.

Options

Data Dynamics Reports offers one option in the dialog to control how the data in the report is transformed to XML.

Encoding
Select the encoding schema to use in the XML transformation.

XML is a good format for delivering data to other applications. The resulting XML file opens in an internet browser.

Controlling XML Output

You can also control XML output through properties on the individual report items. These properties are:

  • DataElementName Indicates the name to use for the data element or attribute.
  • DataElementOutput Indicates whether the report items renders in the XML output.
  • DataElementStyle Indicates whether a text box renders as an element or an attribute.
  • DetailDataCollectionName Indicates the name to use for the collection of all instances of the detail group in the XML output.
  • DetailDataElementName Indicates the name to use for instances of the detail group in the XML output.
  • DetailDataElementOutput Indicates whether the details appear in the XML output.
  • DataInstanceElementOutput Indicates whether a list appears in the XML output. (This property is ignored if there is a grouping in the list.)
  • DataInstanceName Indicates the name to use for instances of the list in the XML output.


Rendering to Word

Word is one of the formats to which you can export Data Dynamics Reports from the Viewer. Since this export uses Word HTML, only Microsoft® Word 2000 and 2003 are supported.

Options

Data Dynamics Reports offers several options to control how reports render to Word.

Author

Enter the name of the author to appear in the File Properties dialog of the Microsoft® Word application on the Summary tab in the Author field.
BaseUrl
Enter a base URL for any relative hyperlinks used in the report. This value appears in the File Properties dialog of the Microsoft® Word application on the Summary tab in the Hyperlink base field.
Generator
Set the identity of the document generator in a meta-data file stamp. The default value is Data Dynamics Reports.
PageHeight
Enter a value in inches (i.e. 11in) to set the height of the report's pages. This value overrides the report's original settings.
PageWidth
Enter a value in inches (i.e. 8.5in) to set the width of the report's pages. This value overrides the report's original settings.
Title
Enter the document’s title. This value appears in the File Properties dialog of the Microsoft® Word application on the Summary tab in the Title field.
UseMhtOutput
Set UseMhtOutput to True so it will embed resources in the Word document using MIME HTML. Otherwise it creates a folder for images and XML. If that folder is deleted, the Word document shows a red x for each missing image.
Note: Only Word 2003 supports this format. For Word 2000, UseMhtOutput must remain False.

Limitations

Interactivity. If drill down and visibility toggling are essential to your report, we recommend the HTML rendering extension. If a Table of Contents (document map) is essential to your report, we recommend the PDF rendering extension.

Section Background Color. Although background colors for controls export to Word documents, background colors for sections such as Body and Page Header or Footer do not.

Interactivity

Hyperlinks

Both in-document and external hyperlinks are supported.
BookmarkLinks
Valid bookmark links are supported.
Drill-Down
Drill-down interactivity is lost. Only what is visible in the report at the time of export is rendered in the Word document.
Visibility Toggle
Visibility toggling is not supported in Word documents.
Table of Contents
Document maps (or table of contents) are not supported documents.


Modes

Pan mode

The default mode for the viewer is Pan mode. In this mode, the cursor is represented by a hand which you can use to grab the page and move it around. It works in much the same way as moving a sheet of paper around on your desk with your hand.

Snapshot mode

If you click the Snapshot mode icon, you can select a rectangular area of the report with your cursor and paste it as an image into any application that accepts pasted images. This makes it a snap to copy a chart from a report into an MS Word document.

Selection mode

If you want to copy text from a report:

  • Click the Selection mode icon
  • Select a rectangular area of the report with your cursor
  • Click the Copy icon (see image below)
  • Paste the text into any application that accepts pasted text

Preview modes

The default preview mode for the Data Dynamics Reports Viewer application is Print Preview (the Print Preview icon is depressed as above).

Clicking the Print Preview icon changes the preview mode to Galley mode (the icon appears in its up state as pictured below). Galley mode is a viewer-only mode which does not generate automatic page breaks, and does not allow you to print reports. This mode does honor page breaks created in the report, but if the report uses automatic page breaks, it appears as a single page in Galley mode.

Copy

First, click the Selection mode icon to enable copying.

Select text and click the Copy icon to copy the text to the clipboard. You can paste the contents of the clipboard into any application that accepts pasted text.

Note: Images and formatting are not copied.

Zoom

Click the Zoom In icon to change the cursor function to zoom in on the section of the report that you click. Click the Zoom Out icon for the opposite effect.

You can also set the Zoom level of the report using the combo box next to the Zoom In and Zoom Out icons.

You can set a custom zoom level in the Zoom dialog. From the View menu, select Zoom to open the dialog. Enter a numeric value between 10 and 500 and click the OK button.

See Also

Viewer Features


Opening Reports in the Viewer

You can open any RDL or RDLX format report in the viewer application.

To open a report in the viewer application

  1. In the viewer tool bar, click the Open Report icon Open report icon to display the Open Report dialog.
  2. Navigate to the report you want to open.
    Note: There are a number of sample reports available in C:\Documents and Settings\your name\My Documents\Data Dynamics\Reports\build number\Samples\Reels\Data. (In Windows Vista, the path is C:\User\your name\Documents\Data Dynamics\Reports\build number\Samples\Reels\Data.)
  3. Select the report and click the Open button.


Keyboard Controls

You can use the following keys and key combinations to control functions in the viewer.

Key | Function
F5 | Refresh the report.
Page Dn | Move to the next page.
Page Up | Move to the previous page.
Ctrl + Home | Move to the first page.
Ctrl + End | Move to the last page.
Home | Move to the top of the current page.
End | Move to the bottom of the current page.
Arrows | Scroll in the current page in the direction of the arrow.
Ctrl + F | Open or close the sidebar.
See Also

Viewer Guide | Document Map Sidebar


Page Setup

The Data Dynamics Reports Viewer allows you to change a report's paper size and orientation, margins, number of pages per sheet, and even add watermarks.

To enable the Page Setup icon, first click the Print Preview icon just to the left of it.

Click the Page Setup icon to open the Page setup dialog.

To change the paper size

  1. On the Page tab of the Page Setup dialog, select a Paper Size.
  2. Click the OK button.

To change the paper source

  1. On the Page tab of the Page Setup dialog, under Paper Source choose Auto Select or Manual Feed.
  2. Click the OK button.

To change the page orientation

  1. On the Page tab of the Page Setup dialog, click the Portrait or Landscape button.
  2. Click the OK button.

To change the page margins

  1. On the Layout tab of the Page Setup dialog, enter values for each margin.
  2. Click the OK button.

To change the number of pages per sheet

  1. On the Layout tab of the Page Setup dialog, click the Portrait or Landscape button.
  2. Click the OK button.
Note: Select the SizeToFit check box to scale the report to fill the selected paper size.

To add a watermark to the report

  1. On the Watermark tab of the Page Setup dialog, click in the Text box and enter the text you want to display for your watermark.
  2. Select the Font Name, Size, and Color for the text.
  3. Enter a numeric value between 0 and 359 for the Angle of the text. (A value of 0 renders straight left-to-right text. A value of 180 renders inverted text.)
  4. Click the OK button.
See Also

Viewer Guide

Tutorials: Printing


Printing

You can print reports directly from the Report Viewer, or render them to a printable format for printing in other applications. HTML is not generally a recommended format for printing.

To print a report using Print Preview

  1. From the View menu, ensure that the Preview mode is set to Print preview.
  2. Click the Print button.
  3. Select your printer, print range, and number of copies.
  4. Click the OK button.

To print a report in other printable formats

  1. Click the Export icon and choose a format (other than HTML).
  2. Enter the directory to which you want to save the file and set other properties as desired.
  3. Click Export.
  4. Open the exported report in an application appropriate to the format.
  5. From the File menu of the application in which the exported report opens, select Print.
See Also

Exporting Reports


Exporting Reports

You can export reports to any of the following formats: HTML, PDF, and Image types BMP, EMF, GIF, JPEG, TIFF, PNG, and XML.

To export a report

  1. Open the report that you want to export.
  2. Click the Export icon and select a format.
  3. Enter the directory to which you want to save the file and set other properties as desired.
  4. Click Export.
See Also

Reference: Rendering to HTML | Rendering to PDF | Rendering to Images


Samples

Data Dynamics Reports includes samples to demonstrate the various features and functions of the product. These samples show the use of a combination of report items and code to produce various reports. The samples are located in the installation directory under Samples, and each RDLX file can be opened with the Report Viewer.

Included Samples

Factbook Sample
The Factbook sample reports demonstrate the use of the XML data source and various features.
Reels Sample
The Reels sample reports use an OLEDB data source to demonstrate many Data Dynamics Reports features.
Sample Gallery
The Sample Gallery is an application demonstrating how reports can be used within other applications and includes many helpful explanations of features.


Getting Help

To get support for Data Dynamics Reports, please visit our support forum here: http://www.datadynamics.com/forums/78/ShowForum.aspx


License Agreement

License Agreement and Limited Warranty

Data Dynamics Reports 1.0

Please read carefully before installing this software package. Your installation of the package indicates your acceptance of the terms and conditions of this license agreement. Contact Data Dynamics if you have any questions about this license.

The Product (libraries and object code) is proprietary to Data Dynamics, Ltd. and is protected by Federal Copyright Law. Data Dynamics retains the title to and ownership of the Product. You are licensed to use this Product on the following terms and conditions:

LICENSE: The Product is licensed per software application developer (“developer”) and must be activated by said developer. Licensee is defined as the person or entity that pays consideration for the license to use the Product. Data Dynamics hereby grants the Licensee a nonexclusive License authorizing one, and only one, developer at a time to use the Product for development purposes. The Licensee is also permitted to distribute applications containing the files designated below on a royalty free basis. The use of this License does not create any kind of partnership or joint ownership interest in the Licensee’s proprietary applications. Please contact Data Dynamics if you require additional Licenses. Licensee may incorporate the sample code into Licensee’s applications. Use of this product by more than one developer at a time terminates, without notification, this License and the right to use this product.

LICENSEE MAY NOT: Distribute, rent, sub-license or otherwise make available to others the software or documentation or copies thereof, except as expressly permitted in this License without prior written consent from Data Dynamics. In the case of an authorized transfer, the transferee must agree to be bound by the terms and conditions of this License Agreement.

RESTRICTIONS: Licensee may use this Product in Licensee’s business application for sale or distribution as long as:

1. The product that Licensee produces and/or distributes is NOT a software development product; a product that is sold primarily to software developers or system integrators or a development environment of any kind. Please contact Data Dynamics, Ltd. for special commercial licensing provisions in these circumstances.

2. The software license is activated and registered through Data Dynamics.

· Activation and registration is accomplished during installation via a web service

· In the event that web access is not available, the registering developer should contact our technical support group for assistance

3. Licensee may not remove any proprietary notices, labels, trademarks on the software or documentation.

4. Licensee may not modify, de-compile, disassemble, reverse engineer or translate the software.

FILES THAT MAY BE DISTRIBUTED WITH LICENSEE’S APPLICATION:

datadynamics.reports.config, DataDynamics.Reports.dll, DataDynamics.Reports.Design.dll, DataDynamics.Reports.Diagnostics.dll, DataDynamics.Reports.Extensibility.dll, DataDynamics.Reports.Rendering.Graphics.dll, DataDynamics.Reports.Rendering.Html.dll, DataDynamics.Reports.Rendering.Pdf.dll, DataDynamics.Reports.Rendering.Word.dll, DataDynamics.Reports.Rendering.Xml.dll, DataDynamics.Reports.Web.dll, DataDynamics.Reports.Windows.Forms.dll, DataDynamics.Reports.Designer.exe, DataDynamics.Reports.Designer.chm, DataDynamics.Reports.Preview.exe, DataDynamics.Reports.Preview.chm

US GOVERNMENT RESTRICTED RIGHTS: Use, duplication or disclosure by the United States Government is subject to restrictions as set forth under DFARS 252.227-7013 or in FARS 52.227-19 Commercial Computer Software - Restricted Rights.

TERM: Licensee may terminate its License and this Agreement at any time by destroying all copies of the Product and Product Documentation. This License and this Agreement will also terminate automatically if Licensee fails to comply with any term or condition in this Agreement.

LIMITED WARRANTY: This software and documentation are sold "as is" without any warranty as to their performance, merchantability or fitness for any particular purpose. Licensee assumes the entire risk as to the quality and performance of the software. Data Dynamics warrants that the media on which the Program is furnished will be free from any defects in materials. Exclusive remedy in the event of a defect is expressly limited to the replacement of media. In no event shall Data Dynamics or anyone else who has been involved in the creation, development, production, or delivery of this software be liable for any direct, incidental or consequential damages, such as, but not limited to, loss of anticipated profits, benefits, use, or data resulting from the use of this software, or arising out of any breach of warranty.


Document Maps

A document map, or table of contents, provides the user with a convenient way to navigate a lengthy report. Data Dynamics Reports creates the document map automatically when you provide a document map label for each report item you want to display for navigation. You can use an expression to create the label text which displays in the document map.

Document Maps in Exports

In the report viewer, the document map appears in a pane to the left of the report, but when you export your reports, the various file formats handle document maps differently.

Export Type | Effect on Document Map
HTML | The document map is lost.
PDF | The document map becomes the bookmarks collection.
Image | The document map is lost.


Glossary

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z